# Generated by Django 4.0.10 on 2023-03-29 08:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('artefacts', '0009_artefact_deleted_artefact_deleted_by_cascade_and_more'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='artefacttype',
            options={'ordering': ('priority_order', 'type_name'), 'verbose_name': 'artefact type', 'verbose_name_plural': 'artefact types'},
        ),
        migrations.AlterUniqueTogether(
            name='artefacttype',
            unique_together=set(),
        ),
        migrations.AlterField(
            model_name='artefact',
            name='artefact_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.artefacttype', verbose_name='type'),
        ),
        migrations.AlterField(
            model_name='artefacttype',
            name='priority_order',
            field=models.IntegerField(blank=True, null=True, verbose_name='priority order'),
        ),
        migrations.AddIndex(
            model_name='artefacttype',
            index=models.Index(fields=['type_name'], name='artefacts_a_type_na_b514a6_idx'),
        ),
        migrations.AddIndex(
            model_name='artefacttype',
            index=models.Index(fields=['priority_order'], name='artefacts_a_priorit_78157d_idx'),
        ),
    ]
